### File

`packages/core/src/lib/services/locale/locale.service.mock.ts`

### Extends

`LocaleService`

### Index

###### Methods

- getState
- init
- updateState
- getSignal

### Constructor

`constructor(locale_id: string)`

Parameters :

Name | Type | Optional
locale_id | `string` | No

### Methods

getState
`getState()`
Returns : `Observable<T>`

init
`init(state?: T)`

Parameters :

Name | Type | Optional
state | `T` | Yes

Returns : `Observable<EuiServiceStatus>`

updateState
`updateState(state: T)`

Parameters :

Name | Type | Optional
state | `T` | No

Returns : `void`

getSignal
`getSignal()`
This method is used to get the state as readonly signal. Returns : `Signal<T>`

# results matching ""

# No results matching ""